Ingestion keys
Create ingestion key
Authorization
API key Ingest keys: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Ingest keys: write
Path Parameters
workspaceId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
displayName*string
description?null|string
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ingestion-keys" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "secret": "string", "displayName": "string", "description": null}